#ifndef __LEXER_H
#define __LEXER_H

#include "Automaton.h"

#include <ostream>
#include <vector>

using namespace std;

class Lexer
{
 public:
  set<char> marker_alphabet;
  Automaton* a;

  Lexer(vector<Regexp*> lexical_description, set<char> alphabet);

  void print_code(ostream& sout);
};

#endif
