#include <iostream>
#include "Regexp.h"
#include "Automaton.h"
#include "Lexer.h"

#include <map>

using namespace std;

int main(int argc, char** argv)
{
  set<char> sigma;
  sigma.insert('e');
  sigma.insert('h');
  sigma.insert('i');
  sigma.insert('l');
  sigma.insert('w');

  sigma.insert('b');

  sigma.insert(' ');

  vector<Regexp*> lex_spec;
  lex_spec.push_back(&w("while"));
  lex_spec.push_back(&w("b"));
  lex_spec.push_back(&w(" "));
  lex_spec.push_back(&(star(w("w")+w("h")+w("i")+w("l")+w("e")+w("b"))));

  Lexer* lexer = new Lexer(lex_spec,sigma);

  lexer->print_code(cout);
}

